# Fortune Fortune Files

The `fortune` utility is a fun little utility that, when called, outputs a fortune to `stdout`.

The fortunes are found in (generally) `/usr/share/games/fortunes`. To create you own fortunes, create a text file in that folder (you will need root privileges), and separate each fortune with a `%` sign on a separate line. (See the current files for examples.)

After you save your file, use the `strfile` utility to create a `.dat` file that `fortune` can read. 

Offensive or potentially offensive fortunes should have `-o` appended to the file name and be placed in `/usr/share/games/fortunes/off`. The command `fortune -o` will return a fortune from any file found in that directly.

For more information, see the [fortune(6)](https://manpages.ubuntu.com/manpages/jammy/en/man6/fortune.6.html) and (especially) [strfile(1)](https://manpages.ubuntu.com/manpages/jammy/en/man1/strfile.1.html) pages.

More files are available [here](https://github.com/HubTou/fortunes-freebsd-classic) and [here](https://github.com/HubTou/fortunes-historical). 

## About these files:

- **kjodlenet** — A list of quotations that appear in the header of [my home page](https://kjodle.net).

- **hesse** — Quotations from [Herman Hesse](https://en.wikiquote.org/wiki/Hermann_Hesse).

- **musicians** — Quotations from musicians (WIP)

- **amer-authors** — Quotations from USian authors (WIP)

## Offensive Quotations

My installation was missing any offensive fortunes, so I went searching. I found a set of `fortune` files at [OpenGrok](http://bxr.su/OpenBSD/games/fortune/) and have added the offensive fortune file here. (If you go there, I urge you to read the "Notes" file.) As noted in the fortune manual, proceed with caution, or not at all if you are easily offended.

